Création d'un dossier
POST
/v1/mailboxes/{mailbox_id}/foldersLe dossier personnalisé est créé en IMAP et est disponible pour les autres clients de messagerie.
Zones d’autorisation et d’accès · Erreurs et répétitions
Demande
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \ --data '{"name":"<name>"}'Possibilités
mailbox_idpathNécessairementintegerX-Customer-IDheader- Option 1
stringOption 2null
Corps de la demande · application/json
object
nameNécessairementstringminLength: 1maxLength: 120
Les champs inconnus ne sont pas acceptés.
Réponses
201 Réponse réussie
application/json
object
namestring
401 Connexion requise
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
403 Pas d'accès
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
404 Ressource introuvable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
409 Conflit d'État
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
422 Erreur de validation
application/json
object
detailarrayÉléments du tableauobjectlocNécessairementarrayÉléments du tableauOption 1stringOption 2integermsgNécessairementstringtypeNécessairementstring
503 Indisponibilité temporaire
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject